# signPaymentChannelClaim | xrpl
Documentation for xrpl

# Function signPaymentChannelClaim

- signPaymentChannelClaim(channel: string, amount: string, privateKey: string): string

- Sign a payment channel claim.

  ### Returns

  True if the channel is valid.

  #### Parameters

  - ##### channel: string

    Channel identifier specified by the paymentChannelClaim.

  - ##### amount: string

    Amount specified by the paymentChannelClaim.

  - ##### privateKey: string

    Private Key to sign paymentChannelClaim with.

  #### Returns string

  - Defined in packages/xrpl/src/utils/signPaymentChannelClaim.ts:15

Generated using TypeDoc